"""Automatically generated Default Config.

!!!This files is autogenerated, please do not modify manually.!!!
!!!Change the file default-htw-logger.ini or the default values in the base-classes of htw_logger.config!!!
!!!IF htw_logger.config not exists run ```make install``` before!!!
"""
from dataclasses import dataclass
from decimal import Decimal
from os import path

from cornflakes import add_slots

# import config


@add_slots
@dataclass(frozen=True)
class Config:
    """Main config class of the module."""

    pass


def load_config(default_cfg: str = "", *args, **kwargs) -> Config:
    """Method to create an instance of the main config class of the module."""
    pass


def write_config(out_cfg: str = "htw-logger.ini", *args, **kwargs) -> None:
    """Method to write an instance of the main config class of the module into an ini file."""
    config = load_config(*args, **kwargs)
    ini_bytes = bytearray()
    for cfg_name in config.__slots__:
        cfg = getattr(config, cfg_name)
        if hasattr(cfg, "to_ini"):
            ini_bytes.extend(cfg.to_ini().encode("utf-8"))
    with open(path.abspath(path.expanduser(out_cfg)), "wb") as f:
        f.write(ini_bytes)


__all__ = ["Decimal", "load_config", "write_config", "Config"]
